API changes for v2 API, April 24 to May 1
This week, the mittwald API introduces several enhancements, including the addition of required and optional properties to various response objects, as well as a new optional request parameter for improved stack management and conversation message retrieval.
Summary
-
The required property
/items/tokenFactorhas been added to the response with the '200' status for the following operations:GET /v2/ai-hosting-models(Get a list of currently active models)GET /v2/customers/{customerId}/ai-hosting-models(Get a list of currently active models)GET /v2/projects/{projectId}/ai-hosting-models(Get a list of currently active models)
-
The optional property
/items/templateIdhas been added to the response with the '200' status for the following operations:GET /v2/projects/{projectId}/stacks(List Stacks belonging to a Project)GET /v2/stacks(List Stacks belonging to the executing user)GET /v2/stacks/{stackId}(Get a Stack)PATCH /v2/stacks/{stackId}(Create, update or delete Services or Volumes belonging to a Stack)PUT /v2/stacks/{stackId}(Declaratively create, update or delete Services or Volumes belonging to a Stack)
-
A new optional request parameter
searchTermhas been added to theGET /v2/stacksoperation (List Stacks belonging to the executing user).
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "Get a list of currently active models"
- added the required property '/items/tokenFactor' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get all message of the conversation"
- added the optional property '/items/oneOf[#/components/schemas/de.mittwald.v1.conversation.ServiceRequest]/allOf[subschema #2]/meta/oneOf[#/components/schemas/de.mittwald.v1.conversation.ServiceRequestRelocationPayload]/email' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a list of currently active models"
- added the required property '/items/tokenFactor' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a list of currently active models"
- added the required property '/items/tokenFactor' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Stacks belonging to a Project"
- added the optional property '/items/templateId' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Stacks belonging to the executing user"
-
added the new optional 'query' request parameter 'searchTerm'
-
added the optional property '/items/templateId' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get a Stack"
- added the optional property 'templateId' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Create, update or delete Services or Volumes belonging to a Stack"
- added the optional property 'templateId' to the response with the '200' status
For details, refer to the PATCH/ endpoint.
Changes in "Declaratively create, update or delete Services or Volumes belonging to a Stack"
- added the optional property 'templateId' to the response with the '200' status
For details, refer to the PUT/ endpoint.
Client package releases
mittwald JavaScript SDK Release 4.355.0
The mittwald JavaScript SDK has been updated to version 4.355.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: mittwald JavaScript SDK 4.355.0.
mittwald JavaScript SDK Release 4.354.0
The mittwald JavaScript SDK has been updated to version 4.354.0. This release includes an update to the generated client, enhancing the functionality and performance of the SDK. For more details, you can view the release on GitHub.
mittwald JavaScript SDK Release 4.353.0
The mittwald JavaScript SDK has been updated to version 4.353.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.